Download it now!
Bug 135693 - Crash opening table properties for embedded table
Summary: Crash opening table properties for embedded table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-08-13 09:26 UTC by Telesto
Modified: 2020-09-25 14:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (4.85 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-13 09:27 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-13 09:26:00 UTC
Description:
Crash opening table properties for embedded table

Steps to Reproduce:
1. Open the attached file
2. Select the embedded table
3. Table -> Properties

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-08-13 09:27:10 UTC
Found in
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

not in 
Version: 7.1.0.0.alpha0+ (x64)
Build ID: c6a4407897b62e3262c4864d3a7d0e6dc0d00f1a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 2 Telesto 2020-08-13 09:27:21 UTC
Created attachment 164234 [details]
Example file
Comment 3 Xisco Faulí 2020-08-13 14:48:56 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=04e5cc16c48b5eaf69cd275825b957a504904187

author	Caolán McNamara <caolanm@redhat.com>	2020-07-28 15:14:07 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-07-28 20:28:32 +0200
commit	04e5cc16c48b5eaf69cd275825b957a504904187 (patch)
tree	cce820ac463c238d2f917d6f8799ee0bfa88c5c5
parent	c4bee547b02fbe3d07b1e9ee203c73e48f86e6bf (diff)
tdf#135021 if the input width is changed, rerun the callbacks

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2020-08-14 14:34:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bfd3f939325e53c9dc85d2486316927c2b34eaf8

tdf#135693 rerun the callbacks on inconsistency just once

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-09-11 21:43:00 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3ad21220992e348ccfc59ce5ffb67ee9dd0e4b88

tdf#135693: sw: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.